Skip to main content
PUT
Update
🔑 Requires the alert_route.update scope.

Authorizations

Authorization
string
header
required

API key from your incident.io dashboard (Settings → API keys)

Path Parameters

id
string
required

Unique identifier of the alert route

Example:

"01FCNDV6P870EA6S7TK1DSYDG0"

Body

application/json
alert_sources
object[]
required

Which alert sources should this alert route match?

Example:
channel_config
object[]
required

The channel configuration for this alert route

Example:
condition_groups
object[]
required

What condition groups must be true for this alert route to fire?

Example:
enabled
boolean
required

Whether this alert route is enabled or not

Example:

false

escalation_config
object
required
Example:
expressions
object[]
required

The expressions used in this template

Example:
incident_config
object
required
Example:
incident_template
object
required
Example:
is_private
boolean
required

Whether this alert route is private. Private alert routes will only create private incidents from alerts.

Example:

false

name
string
required

The name of this alert route config, for the user's reference

Example:

"Production incidents"

version
integer<int64>
required

The version this update will create. It must be one more than the route's latest version, otherwise the update is rejected - guarding against concurrent edits.

Example:

1

created_at
string<date-time>

The time of creation of this alert route

Example:

"2021-08-17T13:28:57.801578Z"

message_template
object
Example:
owning_team_ids
string[]

IDs of teams that own this alert route

Example:
updated_at
string<date-time>

The time of last update of this alert route

Example:

"2021-08-17T13:28:57.801578Z"

Response

200 - application/json

OK response.

alert_route
object
required
Example: